@font-face {
  font-family: 'New Geneva Nine';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local(''), url('../fonts/new-geneva/NewGenevaNineICG-Regular.woff2') format('woff2');
}

@font-face {
  font-family: 'Libre Franklin';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local(''), url('../fonts/libre-franklin/LibreFranklin-Regular.woff2') format('woff2');
}

@font-face {
  font-family: 'Libre Franklin';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: local(''), url('../fonts/libre-franklin/LibreFranklinSemiBold-Regular.woff2') format('woff2');
}

:root {
  --new-geneva-nine: 'New Geneva Nine', serif;
  --libre-franklin: 'Libre Franklin', sans-serif;
  --color-primary: #b06f0d;
  --mid-tone: #666;
  --bright-white: #fff;
  --duration: 2s;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--color-primary);
  font-family: var(--new-geneva-nine);
  color: var(--bright-white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

main {
  margin-inline: auto;
  min-height: 10vh;
  /* padding-block: 2rem; */
  background-color: var(--bright-white);
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: center;
  /* gap: 2rem; */
  border-radius: 1rem;
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.5);
  color: var(--color-primary);
  transition: min-height var(--duration) ease;
}

header {
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: center;
  padding-block: 2rem;
  gap: 2rem;
  max-width: 14rem;
  overflow: hidden;
  transition:
    max-width var(--duration) ease,
    /* padding-block var(--duration) ease, */
    gap var(--duration) ease;

  img {
    flex: 1 1 100%;
    max-height: 9rem;
    transition: max-height var(--duration) ease;
  }

  div {
    h1 {
      display: none;
      font-size: 1rem;
      text-transform: uppercase;
      letter-spacing: 1ch;
      color: var(--mid-tone);
      transition:
        /* opacity var(--duration) ease, */
        display 11s allow-discrete;
      transition-behavior: allow-discrete;
      /* transition-delay: var(--duration); */

      span {
        text-decoration: underline;
        letter-spacing: 0;
        margin-inline: 0 1ch;
      }
    }


    svg {
      width: 100%;
      height: 100%;
      max-width: 4rem;
      max-height: 4rem;
      /* margin: 1rem; */
      /* padding: 1rem; */
    }
  }
}

section {
  display: none;
  opacity: 0;
  transition:
    opacity var(--duration) ease,
    display var(--duration) allow-discrete,
    max-width var(--duration) ease;
  transition-behavior: allow-discrete;
  font-family: var(--libre-franklin);
  color: var(--mid-tone);
  overflow: hidden;

  article {
    display: none;
    gap: 1rem;
    padding-inline: 2rem;
    transition:
      opacity var(--duration) ease,
      height var(--duration) ease,
      display var(--duration) allow-discrete;
    transition-behavior: allow-discrete;
    transition-delay: var(--duration);
  }
}


a {
  margin-block: 2rem 0;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 1ch;
  color: var(--bright-white);

  span {
    text-decoration: underline;
    letter-spacing: 0;
    margin-inline: 0 1ch;
  }
}

#entrance {
  display: none;
}

label[for="entrance"] {
  cursor: pointer;
  margin-block: 2rem 0;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 1ch;
  color: var(--bright-white);

  span {
    text-decoration: underline;
    letter-spacing: 0;
    margin-inline: 0 1ch;
  }
}

:has(input#entrance:checked) {
  label[for="entrance"] {
    display: none;
  }

  main {
    margin-block: 2rem;
    padding-block: 0 2rem;
    min-height: calc(100vh - 4rem);
  }

  header {
    max-width: 75rem;

    img {
      max-height: 290px;
      /* flex: 1 1 100%; */
      order: 1;
      animation: margin-top var(--duration) ease;
      animation-fill-mode: forwards;
      animation-iteration-count: 1;
      animation-timing-function: ease;
    }

    div {
      order: -1;
      display: flex;
      align-items: center;
      justify-content: start;
      gap: 1rem;
      width: 100%;
      animation: logo-in-and-out var(--duration) ease;
      animation-fill-mode: forwards;
      animation-iteration-count: 1;
      animation-timing-function: ease;

      h1 {
        display: block;
      }


      svg {
        margin-inline: 2rem 0;
      }
    }
  }

  section {
    display: flex;
    flex-direction: column;
    opacity: 1;
    margin-block: 0 2rem;
    max-width: 75rem;

    article {
      display: grid;
      opacity: 1;
      min-height: 3rem;
    }
  }
}

@starting-style {
  :has(input#entrance:checked) {
    section {
      opacity: 0;
      max-width: 0;
      height: 0;

      /* transform: translateY(1rem); */
      article {
        opacity: 0;
        height: 0;
      }
    }

    header h1 {
      opacity: 0;
    }
  }
}

@keyframes logo-in-and-out {

  0%,
  40% {
    opacity: 0;
    /* padding: 0; */
  }

  100% {
    opacity: 1;
    /* padding: 1rem; */
  }
}

@keyframes margin-top {

  0%,
  33% {
    /* margin-top: -6rem; */
    transform: translateY(-6rem);
    /* padding: 0; */

  }

  87% {
    /* margin-top: 0; */
    transform: translateY(0);
  }
}